custom_metadata_has parameter with a JSON string that specifies the desired key:value pairs.
If the Connect Webview associated with a connected
account contains custom metadata, Seam transfers this custom metadata to the
connected account. However, you can also use the Update Connected
Account method
with the optional
custom_metadata property to change or add custom metadata
for a connected account.- JavaScript
- cURL
- Python
- Ruby
- PHP
- C#
Request:Response:
const connected_accounts = await seam.connectedAccounts.list({
custom_metadata_has: {
internal_account_id: 'user-1',
},
})
console.log(connected_accounts)
[
{
connected_account_id: 'c993818b-bf3c-4836-bef4-9a76d89bf1d3',
created_at: '2024-01-05T07:20:07.692Z',
user_identifier: { username: 'jane' },
account_type: 'visionline',
account_type_display_name: 'Visionline',
errors: [],
warnings: [],
custom_metadata: { internal_account_id: 'user-1' },
automatically_manage_new_devices: true
},
...
]
Request:Response:
curl -X 'POST' \
'https://connect.getseam.com/connected_accounts/list' \
-H 'accept: application/json' \
-H 'Authorization: Bearer ${API_KEY}' \
-H 'Content-Type: application/json' \
-d '{
"custom_metadata_has": {
"internal_account_id": "user-1"
},
}'
{
"connected_accounts": [
{
"connected_account_id": "c993818b-bf3c-4836-bef4-9a76d89bf1d3",
"created_at": "2024-01-05T07:20:07.692Z",
"user_identifier": {
"username": "jane"
},
"account_type": "visionline",
"account_type_display_name": "Visionline",
"errors": [],
"warnings": [],
"custom_metadata": {
"internal_account_id": "user-1"
},
"automatically_manage_new_devices": true
},
...
],
"ok": true
}
Request:Response:
connected_accounts = seam.connected_accounts.list(
custom_metadata_has = {
"internal_account_id": "user-1"
}
)
pprint(connected_accounts)
[ConnectedAccount(connected_account_id='c993818b-bf3c-4836-bef4-9a76d89bf1d3',
created_at='2024-01-05T07:20:07.692Z',
user_identifier={'username': 'jane'},
account_type='visionline',
errors=[],
custom_metadata={"internal_account_id": "user-1"}),
...]
Request:Response:
connected_accounts = client.connected_accounts.list(
custom_metadata_has: {
"internal_account_id": "user-1"
}
)
puts connected_accounts.inspect
[<Seam::ConnectedAccount:0x004d8
connected_account_id="c993818b-bf3c-4836-bef4-9a76d89bf1d3"
created_at=2024-01-05 07:20:07.692 UTC
user_identifier={"username"=>"jane"}
account_type="visionline"
errors=[]
warnings=[]
custom_metadata={"internal_account_id"=>"user-1"}>, ...]
Request:Response:
$accounts = $seam->connected_accounts->list(
custom_metadata_has: array('internal_account_id' => 'user-1')
);
echo json_encode($accounts);
[{"connected_account_id":"c993818b-bf3c-4836-bef4-9a76d89bf1d3","account_type":"visionline","user_identifier":{"username":"jane", "email":null,"phone":null},"errors":[],"warnings":[],"created_at":"2024-01-05T07:20:07.692Z","custom_metadata":{"internal_account_id":"user-1"},"automatically_manage_new_devices":true},...]
Request:Response:
var customMetadata = new Dictionary<string, string>()
{
{"internal_account_id", "user-1"}
};
var connectedAccounts = seam.ConnectedAccounts.List(
customMetadataHas: customMetadata
);
foreach (var connectedAccount in connectedAccounts)
{
Console.WriteLine(connectedAccount);
}
{
"connected_account_id": "c993818b-bf3c-4836-bef4-9a76d89bf1d3",
"created_at": "2024-01-05T07:20:07.692Z",
"user_identifier": {
"username": "jane"
},
"account_type": "visionline",
"account_type_display_name": "Visionline",
"errors": [],
"warnings": [],
"custom_metadata": {
"internal_account_id": "user-1"
},
"automatically_manage_new_devices": true
}
...

